EasyEclipse for Ruby and Rails起動時のエラーon Windows

VistaにEasyEclipse for Ruby and Railsをインストールしたら、起動時に
"An error has occurred. See the log file.
/User/workspace/.metadata/.log."
と出て起動しない。
該当のログファイルを見てみると
!ENTRY org.eclipse.osgi 2 0 2009-01-22 01:36:38.128
!MESSAGE One or more bundles are not resolved because the following root constraints are not resolved:
!SUBENTRY 1 org.eclipse.osgi 2 0 2009-01-22 01:36:38.128
!MESSAGE Bundle update@plugins/com.aptana.ide.editor.erb_0.2.8.200707021211.jar was not resolved.



プラグイン関係でエラーが出ている。

どうやら以前インストールしていたEasyEclipse for LAMPのキャッシュが残っているために、プラグインを参照しようとしてエラーが出ているっぽい。

そういうときはEclipseを起動オプションで初期化する。
参考起動オプション - EclipseWiki
cd:C:\Program Files\EasyEclipse for Ruby and Rails 1.2.2.2
で、EasyEclipse for Ruby and Railsをインストールした場所に移動し。
eclipse.exe -clean
で初期化して再度起動すると、見事に起動された。
タグ:Rails Eclipse
posted by digital-squad at 2009年01月22日 11時28分 | Comment(0) | TrackBack(0) | Ruby on Rails / Ruby
この記事へのコメント
コメントを書く
お名前: [必須入力]

メールアドレス:

ホームページアドレス:

コメント: [必須入力]

認証コード: [必須入力]


※画像の中の文字を半角で入力してください。
※ブログオーナーが承認したコメントのみ表示されます。

この記事へのトラックバック